## org.apache.batik.anim.values
Class AnimatablePreserveAspectRatioValue

    java.lang.Object
      org.apache.batik.anim.values.AnimatableValue
          org.apache.batik.anim.values.AnimatablePreserveAspectRatioValue

    public class AnimatablePreserveAspectRatioValue

extends AnimatableValue

An SVG preserveAspectRatio value in the animation system.

Field Summary
`protected short` `align` The align value.
`protected static java.lang.String[]` `ALIGN_VALUES` Strings for the 'align' values.
`protected static java.lang.String[]` `MEET_OR_SLICE_VALUES` Strings for the 'meet-or-slice' values.
`protected short` `meetOrSlice` The meet-or-slice value.

Fields inherited from class org.apache.batik.anim.values.AnimatableValue
`decimalFormat, hasChanged, target`

Constructor Summary
`protected` `AnimatablePreserveAspectRatioValue(AnimationTarget target)` Creates a new, uninitialized AnimatablePreserveAspectRatioValue.
`` `AnimatablePreserveAspectRatioValue(AnimationTarget target, short align, short meetOrSlice)` Creates a new AnimatablePreserveAspectRatioValue.

Method Summary
`boolean` `canPace()` Returns whether two values of this type can have their distance computed, as needed by paced animation.
`float` `distanceTo(AnimatableValue other)` Returns the absolute distance between this value and the specified other value.
`short` `getAlign()` Returns the align value.
`short` `getMeetOrSlice()` Returns the meet-or-slice value.
`AnimatableValue` `getZeroValue()` Returns a zero value of this AnimatableValue's type.
`AnimatableValue` `interpolate(AnimatableValue result, AnimatableValue to, float interpolation, AnimatableValue accumulation, int multiplier)` Performs interpolation to the given value.
`java.lang.String` `toStringRep()` Returns a string representation of this object.

Methods inherited from class org.apache.batik.anim.values.AnimatableValue
`formatNumber, getCssText, hasChanged, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALIGN_VALUES

    protected static final java.lang.String[] ALIGN_VALUES

  Strings for the 'align' values.

### MEET_OR_SLICE_VALUES

    protected static final java.lang.String[] MEET_OR_SLICE_VALUES

  Strings for the 'meet-or-slice' values.

### align

    protected short align

  The align value.

### meetOrSlice

    protected short meetOrSlice

  The meet-or-slice value.

Constructor Detail

### AnimatablePreserveAspectRatioValue

    protected AnimatablePreserveAspectRatioValue(AnimationTarget target)

  Creates a new, uninitialized AnimatablePreserveAspectRatioValue.

### AnimatablePreserveAspectRatioValue

    public AnimatablePreserveAspectRatioValue(AnimationTarget target,
                                              short align,
                                              short meetOrSlice)

  Creates a new AnimatablePreserveAspectRatioValue.

Method Detail

### interpolate

    public AnimatableValue interpolate(AnimatableValue result,
                                       AnimatableValue to,
                                       float interpolation,
                                       AnimatableValue accumulation,
                                       int multiplier)

  Performs interpolation to the given value. Preserve aspect ratio values cannot be interpolated.

  Specified by:
    `interpolate` in class `AnimatableValue`
  Parameters:
    `result` - the object in which to store the result of the interpolation, or null if a new object should be created
    `to` - the value this value should be interpolated towards, or null if no actual interpolation should be performed
    `interpolation` - the interpolation distance, 0 <= interpolation <= 1
    `accumulation` - an accumulation to add to the interpolated value
    `multiplier` - an amount the accumulation values should be multiplied by before being added to the interpolated value

### getAlign

    public short getAlign()

  Returns the align value.

### getMeetOrSlice

    public short getMeetOrSlice()

  Returns the meet-or-slice value.

### canPace

    public boolean canPace()

  Returns whether two values of this type can have their distance computed, as needed by paced animation.

  Specified by:
    `canPace` in class `AnimatableValue`

### distanceTo

    public float distanceTo(AnimatableValue other)

  Returns the absolute distance between this value and the specified other value.

  Specified by:
    `distanceTo` in class `AnimatableValue`

### getZeroValue

    public AnimatableValue getZeroValue()

  Returns a zero value of this AnimatableValue's type.

  Specified by:
    `getZeroValue` in class `AnimatableValue`

### toStringRep

    public java.lang.String toStringRep()

  Returns a string representation of this object.

  Overrides:
    `toStringRep` in class `AnimatableValue`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.